curl --request PUT \
--url https://api.blaxel.ai/v0/customdomains/{domainName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metadata": {
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"displayName": "<string>",
"labels": {},
"name": "<string>",
"workspace": "<string>"
},
"spec": {
"cnameRecords": "<string>",
"lastVerifiedAt": "<string>",
"region": "<string>",
"status": "<string>",
"txtRecords": {},
"verificationError": "<string>"
}
}
'{
"metadata": {
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"displayName": "<string>",
"labels": {},
"name": "<string>",
"workspace": "<string>"
},
"spec": {
"cnameRecords": "<string>",
"lastVerifiedAt": "<string>",
"region": "<string>",
"status": "<string>",
"txtRecords": {},
"verificationError": "<string>"
}
}curl --request PUT \
--url https://api.blaxel.ai/v0/customdomains/{domainName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metadata": {
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"displayName": "<string>",
"labels": {},
"name": "<string>",
"workspace": "<string>"
},
"spec": {
"cnameRecords": "<string>",
"lastVerifiedAt": "<string>",
"region": "<string>",
"status": "<string>",
"txtRecords": {},
"verificationError": "<string>"
}
}
'{
"metadata": {
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"displayName": "<string>",
"labels": {},
"name": "<string>",
"workspace": "<string>"
},
"spec": {
"cnameRecords": "<string>",
"lastVerifiedAt": "<string>",
"region": "<string>",
"status": "<string>",
"txtRecords": {},
"verificationError": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Name of the custom domain
Custom domain for preview deployments
The custom domain represents a base domain (e.g., example.com) that will be used
to serve preview deployments. Each preview will be accessible at a subdomain:
Custom domain metadata Time fields for Persistance Owner fields for Persistance
Show child attributes
The date and time when the resource was created
The date and time when the resource was updated
The user or service account who created the resource
The user or service account who updated the resource
Display name for the custom domain
Domain name (e.g., "example.com")
Workspace name
Custom domain specification
Show child attributes
CNAME target for the domain
Last verification attempt timestamp
Region that the custom domain is associated with
Current status of the domain (pending, verified, failed)
Error message if verification failed
successful operation
Custom domain for preview deployments
The custom domain represents a base domain (e.g., example.com) that will be used
to serve preview deployments. Each preview will be accessible at a subdomain:
Custom domain metadata Time fields for Persistance Owner fields for Persistance
Show child attributes
The date and time when the resource was created
The date and time when the resource was updated
The user or service account who created the resource
The user or service account who updated the resource
Display name for the custom domain
Domain name (e.g., "example.com")
Workspace name
Custom domain specification
Show child attributes
CNAME target for the domain
Last verification attempt timestamp
Region that the custom domain is associated with
Current status of the domain (pending, verified, failed)
Error message if verification failed
Was this page helpful?